Search Results for

Show / Hide Table of Contents

# Interface IAntiMalware

An Anti-Malware engine that can be used to scan and detect potentially harmful files.

###### Namespace: IPA.AntiMalware

###### Assembly: IPA.Loader.dll

##### Syntax

    public interface IAntiMalware

### Methods

| Improve this Doc View Source

#### ScanData(Byte[], String)

Scans a particular in-memory blob for malware.

##### Declaration

    ScanResult ScanData(byte[] data, string contentName = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | data | The binary blob to scan.
String | contentName | The name of the content. If this is left null, one will be automatically generated.

##### Returns

Type | Description
--- | ---
ScanResult | A ScanResult indicating whether the file is safe or not.

| Improve this Doc View Source

#### ScanFile(FileInfo)

Scans a particular file for malware.

##### Declaration

    ScanResult ScanFile(FileInfo file)

##### Parameters

Type | Name | Description
--- | --- | ---
FileInfo | file | The file to scan.

##### Returns

Type | Description
--- | ---
ScanResult | A ScanResult indicating whether the file is safe or not.

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])